- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Photo

## Functions
EOAPI void | elm_obj_photo_fill_inside_set (Eina_Bool fill)
| Set if the photo should be completely visible or not. More...
EOAPI void | elm_obj_photo_aspect_fixed_set (Eina_Bool fixed)
| Set whether the original aspect ratio of the photo should be kept on resize. More...
EOAPI Eina_Bool | elm_obj_photo_aspect_fixed_get (void)
| Get if the object keeps the original aspect ratio. More...
EOAPI void | elm_obj_photo_size_set (int size)
| Set the size that will be used on the photo. More...
EOAPI Eina_Bool | elm_obj_photo_file_set (const char *file)
| Set the file that will be used as the photo widget's image. More...
EOAPI void | elm_obj_photo_thumb_set (const char *file, const char *group)
| Set the file that will be used as thumbnail in the photo. More...
void | elm_photo::thumb_set (std::string file_, std::string group_) const
| Set the file that will be used as thumbnail in the photo. More...
void | elm_photo_fill_inside_set (Eo *obj, Eina_Bool fill)
| Set if the photo should be completely visible or not. More...
void | elm_photo_aspect_fixed_set (Eo *obj, Eina_Bool fixed)
| Set whether the original aspect ratio of the photo should be kept on resize. More...
Eina_Bool | elm_photo_aspect_fixed_get (const Eo *obj)
| Get if the object keeps the original aspect ratio. More...
void | elm_photo_size_set (Eo *obj, int size)
| Set the size that will be used on the photo. More...
Eina_Bool | elm_photo_file_set (Eo *obj, const char *file)
| Set the file that will be used as the photo widget's image. More...
void | elm_photo_thumb_set (const Eo *obj, const char *file, const char *group)
| Set the file that will be used as thumbnail in the photo. More...
Evas_Object * | elm_photo_add (Evas_Object *parent)
| Add a new photo to the parent. More...

## Detailed Description

The Elementary photo widget is intended for displaying a photo, for ex., a person's image (contact). Simple, yet with a very specific purpose. It has a decorative frame around the inner image itself, on the default theme. If and while no photo is set on it, it displays a person icon, indicating it's a photo placeholder.

This widget relies on an internal Icon, so that the APIs of these two widgets are similar (drag and drop is also possible here, for example).

Signals that you can add callbacks for are:

- `"clicked"` - This is called when a user has clicked the photo
- `"drag,start"` - One has started dragging the inner image out of the photo's frame
- `"drag,end"` - One has dropped the dragged image somewhere

## Function Documentation

EOAPI Eina_Bool elm_obj_photo_aspect_fixed_get | ( | void |  | ) |

Get if the object keeps the original aspect ratio.

Returns
  `EINA_TRUE` if the object keeps the original aspect, `EINA_FALSE` otherwise.

Referenced by elm_photo_aspect_fixed_get().

EOAPI void elm_obj_photo_aspect_fixed_set | ( | Eina_Bool | fixed | ) |

Set whether the original aspect ratio of the photo should be kept on resize.

The original aspect ratio (width / height) of the photo is usually distorted to match the object's size. Enabling this option will fix this original aspect, and the way that the photo is fit into the object's area

See also
  elm_photo_aspect_fixed_get()

Parameters

  [in] | fixed | `EINA_TRUE` if the photo should fix the aspect, `EINA_FALSE` otherwise.

Referenced by elm_photo_aspect_fixed_set().

EOAPI Eina_Bool elm_obj_photo_file_set | ( | const char * | file | ) |

Set the file that will be used as the photo widget's image.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

Note
  Use `NULL` on file to set the photo widget back to it's initial state, which indicates "no photo".

Parameters

  [in] | file | The path to file that will be used as obj's image.

Referenced by elm_photo_file_set().

EOAPI void elm_obj_photo_fill_inside_set | ( | Eina_Bool | fill | ) |

Set if the photo should be completely visible or not.

Parameters

  [in] | fill | if true the photo will be completely visible

Referenced by elm_photo_fill_inside_set().

EOAPI void elm_obj_photo_size_set | ( | int | size | ) |

Set the size that will be used on the photo.

Parameters

  [in] | size | The size of the photo

Referenced by elm_photo_size_set().

EOAPI void elm_obj_photo_thumb_set | ( | const char * | file,
|  | const char * | group
| ) |  |

Set the file that will be used as thumbnail in the photo.

Parameters

  [in] | file | The path to file that will be used as thumbnail.
  [in] | group | The key used in case of an EET file.

Referenced by elm_photo_thumb_set(), and elm_photo::thumb_set().

Evas_Object* elm_photo_add | ( | Evas_Object * | parent | ) |

Add a new photo to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

Eina_Bool elm_photo_aspect_fixed_get | ( | const Eo * | obj | ) |

Get if the object keeps the original aspect ratio.

Returns
  `EINA_TRUE` if the object keeps the original aspect, `EINA_FALSE` otherwise.

References elm_obj_photo_aspect_fixed_get().

void elm_photo_aspect_fixed_set | ( | Eo * | obj,
|  | Eina_Bool | fixed
| ) |  |

Set whether the original aspect ratio of the photo should be kept on resize.

The original aspect ratio (width / height) of the photo is usually distorted to match the object's size. Enabling this option will fix this original aspect, and the way that the photo is fit into the object's area

See also
  elm_photo_aspect_fixed_get()

Parameters

  [in] | fixed | `EINA_TRUE` if the photo should fix the aspect, `EINA_FALSE` otherwise.

References elm_obj_photo_aspect_fixed_set().

Eina_Bool elm_photo_file_set | ( | Eo * | obj,
|  | const char * | file
| ) |  |

Set the file that will be used as the photo widget's image.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

Note
  Use `NULL` on file to set the photo widget back to it's initial state, which indicates "no photo".

Parameters

  [in] | file | The path to file that will be used as obj's image.

References elm_obj_photo_file_set().

void elm_photo_fill_inside_set | ( | Eo * | obj,
|  | Eina_Bool | fill
| ) |  |

Set if the photo should be completely visible or not.

Parameters

  [in] | fill | if true the photo will be completely visible

References elm_obj_photo_fill_inside_set().

void elm_photo_size_set | ( | Eo * | obj,
|  | int | size
| ) |  |

Set the size that will be used on the photo.

Parameters

  [in] | size | The size of the photo

References elm_obj_photo_size_set().

void elm_photo_thumb_set | ( | const Eo * | obj,
|  | const char * | file,
|  | const char * | group
| ) |  |

Set the file that will be used as thumbnail in the photo.

Parameters

  [in] | file | The path to file that will be used as thumbnail.
  [in] | group | The key used in case of an EET file.

References elm_obj_photo_thumb_set().

void elm_photo::thumb_set | ( | std::string | file_,
|  | std::string | group_
| ) |  | const
| inline

Set the file that will be used as thumbnail in the photo.

Parameters

  file | The path to file that will be used as thumbnail.
  group | The key used in case of an EET file.

References elm_obj_photo_thumb_set().